Share via


App Service Environments - Get Vip Info

Description for Get IP addresses assigned to an App Service Environment.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/hostingEnvironments/{name}/capacities/virtualip?api-version=2025-05-01

URI Parameters

Name In Required Type Description
name
path True

string

Name of the App Service Environment.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

AddressResponse

Azure operation completed successfully.

Other Status Codes

DefaultErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get IP addresses assigned to an App Service Environment.

Sample request

GET https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-rg/providers/Microsoft.Web/hostingEnvironments/test-ase/capacities/virtualip?api-version=2025-05-01

Sample response

{
  "name": "test-ase",
  "type": "Microsoft.Web/hostingEnvironments/capacities",
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-rg/providers/Microsoft.Web/hostingEnvironments/test-ase/capacities/virtualip",
  "properties": {
    "internalIpAddress": null,
    "outboundIpAddresses": [
      "20.112.141.120"
    ],
    "serviceIpAddress": "20.112.141.120",
    "vipMappings": [
      {
        "inUse": false,
        "internalHttpPort": 20003,
        "internalHttpsPort": 20001,
        "serviceName": null,
        "virtualIP": "20.112.141.135"
      },
      {
        "inUse": false,
        "internalHttpPort": 20004,
        "internalHttpsPort": 20002,
        "serviceName": null,
        "virtualIP": "20.112.141.150"
      }
    ]
  }
}

Definitions

Name Description
AddressResponse

Describes main public IP address and any extra virtual IPs.

createdByType

The type of identity that created the resource.

DefaultErrorResponse

App Service error response.

DefaultErrorResponseError

Error model.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

systemData

Metadata pertaining to creation and last modification of the resource.

VirtualIPMapping

Virtual IP mapping.

AddressResponse

Describes main public IP address and any extra virtual IPs.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind

string

Kind of resource.

name

string

The name of the resource

properties.internalIpAddress

string

Virtual Network internal IP address of the App Service Environment if it is in internal load-balancing mode.

properties.outboundIpAddresses

string[]

IP addresses appearing on outbound connections.

properties.serviceIpAddress

string

Main public virtual IP.

properties.vipMappings

VirtualIPMapping[]

Additional virtual IPs.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DefaultErrorResponse

App Service error response.

Name Type Description
error

DefaultErrorResponseError

Error model.

DefaultErrorResponseError

Error model.

Name Type Description
code

string

Standardized string to programmatically identify the error.

details

DefaultErrorResponseErrorDetailsItem[]

Detailed errors.

innererror

string

More information to debug error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

Name Type Description
code

string

Standardized string to programmatically identify the error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

VirtualIPMapping

Virtual IP mapping.

Name Type Description
inUse

boolean

Is virtual IP mapping in use.

internalHttpPort

integer (int32)

Internal HTTP port.

internalHttpsPort

integer (int32)

Internal HTTPS port.

serviceName

string

name of the service that virtual IP is assigned to

virtualIP

string

Virtual IP address.